3v4l.org

run code in 200+ php & hhvm versions
Bugs & Features
<?php class Test { public $name; public $action; public function __construct($name){ $this->name = $name; } public function action($action){ $this->action = $action; throw new Exception('destroyer ?'); } public function __destruct(){ echo "i'm dying".$this->name." ".$this->action; } } $o = new Test('o'); $p = new Test('p'); try { $o->action('first'); } catch(Exception $ex){ echo $ex->getMessage(); } $o->action('second');
based on gtIoL
Output for 7.0.0 - 7.2.0
destroyer ? Fatal error: Uncaught Exception: destroyer ? in /in/oukH7:11 Stack trace: #0 /in/oukH7(24): Test->action('second') #1 {main} thrown in /in/oukH7 on line 11
Process exited with code 255.
Output for 5.3.19 - 5.6.28
destroyer ? Fatal error: Uncaught exception 'Exception' with message 'destroyer ?' in /in/oukH7:11 Stack trace: #0 /in/oukH7(24): Test->action('second') #1 {main} thrown in /in/oukH7 on line 11
Process exited with code 255.